using namespace std;
#include "histogram.h"
#include "text.h"
#include "svg.h"

#include <cstdio>

struct Input {
    std::vector<double> numbers;
    size_t bin_count{};
};

Input input_data();

int main()
{

    Input in = input_data();
    std::vector<size_t> bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
Input input_data() {
    Input input_struct;
    size_t countOfNumbers;
    cerr << "Input your count of numbers:\n";
    cin >> countOfNumbers;

    input_struct.numbers.resize(countOfNumbers);
    cerr << "Input numbers:\n";
    for (int i = 0; i < countOfNumbers; i++) {
        cerr << i << ":" << endl;
        cin >> input_struct.numbers[i];
    }
    cerr << endl;
    cerr << "Input bin count:\n";
    cin >> input_struct.bin_count;
    return input_struct;
}





